Return internal transfer
Create a return operation from this internal transfer
POST
/
admin
/
api
/
v1
/
inventories
/
internal-transfers
/
{id}
/
return
Return internal transfer
curl --request POST \
--url https://erp.arukz.com/admin/api/v1/inventories/internal-transfers/{id}/return \
--header 'Authorization: Bearer <token>'import requests
url = "https://erp.arukz.com/admin/api/v1/inventories/internal-transfers/{id}/return"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://erp.arukz.com/admin/api/v1/inventories/internal-transfers/{id}/return', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://erp.arukz.com/admin/api/v1/inventories/internal-transfers/{id}/return",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": 1,
"name": "WH/INT/1",
"origin": null,
"move_type": "direct",
"state": "draft",
"is_favorite": false,
"description": null,
"has_deadline_issue": false,
"is_printed": false,
"is_locked": false,
"deadline": null,
"scheduled_at": "2025-04-10T12:10:18.000000Z",
"closed_at": null,
"created_at": "2025-04-10T12:11:32.000000Z",
"updated_at": "2025-04-10T12:11:32.000000Z"
},
"message": "Internal transfer return created successfully."
}{
"message": "Unauthenticated."
}Authorizations
An API token from Sign in, sent as Authorization: Bearer <token>. Tokens last 30 days.
Response
Success
⌘I
Return internal transfer
curl --request POST \
--url https://erp.arukz.com/admin/api/v1/inventories/internal-transfers/{id}/return \
--header 'Authorization: Bearer <token>'import requests
url = "https://erp.arukz.com/admin/api/v1/inventories/internal-transfers/{id}/return"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://erp.arukz.com/admin/api/v1/inventories/internal-transfers/{id}/return', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://erp.arukz.com/admin/api/v1/inventories/internal-transfers/{id}/return",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": 1,
"name": "WH/INT/1",
"origin": null,
"move_type": "direct",
"state": "draft",
"is_favorite": false,
"description": null,
"has_deadline_issue": false,
"is_printed": false,
"is_locked": false,
"deadline": null,
"scheduled_at": "2025-04-10T12:10:18.000000Z",
"closed_at": null,
"created_at": "2025-04-10T12:11:32.000000Z",
"updated_at": "2025-04-10T12:11:32.000000Z"
},
"message": "Internal transfer return created successfully."
}{
"message": "Unauthenticated."
}